GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
gdcm::ImageReader Class Reference

ImageReader. More...

`#include <gdcmImageReader.h>`

Inheritance diagram for gdcm::ImageReader:
[legend]
Collaboration diagram for gdcm::ImageReader:
[legend]

## Public Member Functions

| ImageReader ()
virtual | ~ImageReader ()
const Image & | GetImage () const
| Return the read image.
Image & | GetImage ()
virtual bool | Read ()
Public Member Functions inherited from gdcm::PixmapReader
| PixmapReader ()
virtual | ~PixmapReader ()
const Pixmap & | GetPixmap () const
| Return the read image (need to call Read() first)
Pixmap & | GetPixmap ()
Public Member Functions inherited from gdcm::Reader
| Reader ()
virtual | ~Reader ()
bool | CanRead () const
const File & | GetFile () const
| Set/Get File.
File & | GetFile ()
| Set/Get File.
bool | ReadSelectedTags (std::set< Tag > const &tags)
| Will only read the specified selected tags.
bool | ReadUpToTag (const Tag &tag, std::set< Tag > const &skiptags=std::set< Tag >())
void | SetFile (File &file)
| Set/Get File.
void | SetFileName (const char *filename_native)
void | SetStream (std::istream &input_stream)
| Set the open-ed stream directly.

## Protected Member Functions

bool | ReadACRNEMAImage ()
bool | ReadImage (MediaStorage const &ms)

## Additional Inherited Members

Protected Attributes inherited from gdcm::PixmapReader
SmartPointer< Pixmap > | PixelData

## Detailed Description

ImageReader.

Note
  its role is to convert the DICOM DataSet into a gdcm::Image representation Image is different from Pixmap has it has a position and a direction in Space.

See Also
  Image

Examples:
  CheckBigEndianBug.cxx, CompressImage.cxx, ConvertToQImage.cxx, ExtractIconFromFile.cxx, FixBrokenJ2K.cxx, FixJAIBugJPEGLS.cxx, GetJPEGSamplePrecision.cxx, HelloVizWorld.cxx, MergeTwoFiles.cxx, MrProtocol.cxx, PatchFile.cxx, ReadMultiTimesException.cxx, and threadgdcm.cxx.

## Constructor & Destructor Documentation

gdcm::ImageReader::ImageReader | ( |  | ) |

virtual gdcm::ImageReader::~ImageReader | ( |  | ) |

virtual

## Member Function Documentation

const Image& gdcm::ImageReader::GetImage | ( |  | ) | const

Return the read image.

Examples:
  CompressImage.cxx, ConvertToQImage.cxx, ExtractIconFromFile.cxx, FixJAIBugJPEGLS.cxx, GetJPEGSamplePrecision.cxx, HelloVizWorld.cxx, MergeTwoFiles.cxx, PatchFile.cxx, ReadMultiTimesException.cxx, and threadgdcm.cxx.

Image& gdcm::ImageReader::GetImage | ( |  | ) |

virtual bool gdcm::ImageReader::Read | ( |  | ) |

virtual

Read the DICOM image. There are two reason for failure:

1. The input filename is not DICOM
2. The input DICOM file does not contains an Image.

Reimplemented from gdcm::PixmapReader.

Reimplemented in gdcm::ImageRegionReader.

Examples:
  CheckBigEndianBug.cxx, CompressImage.cxx, ConvertToQImage.cxx, ExtractIconFromFile.cxx, FixBrokenJ2K.cxx, FixJAIBugJPEGLS.cxx, GetJPEGSamplePrecision.cxx, HelloVizWorld.cxx, MergeTwoFiles.cxx, MrProtocol.cxx, PatchFile.cxx, ReadMultiTimesException.cxx, and threadgdcm.cxx.

bool gdcm::ImageReader::ReadACRNEMAImage | ( |  | ) |

protectedvirtual

Reimplemented from gdcm::PixmapReader.

bool gdcm::ImageReader::ReadImage | ( | MediaStorage const & | ms | ) |

protectedvirtual

Reimplemented from gdcm::PixmapReader.

The documentation for this class was generated from the following file:

- gdcmImageReader.h